Bug 88852 - macros.h(181) : error C2143: syntax error : missing '{' before 'enum [tag]'
Summary: macros.h(181) : error C2143: syntax error : missing '{' before 'enum [tag]'
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Windows (All)
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-01-28 20:23 UTC by Vinson Lee
Modified: 2015-02-11 22:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-01-28 20:23:28 UTC
mesa: 58e8468d113c7d3d4a59ea4a8d70fd45b78e85e6 (master 10.5.0-devel)

MSVC build error

  Compiling src\util\ralloc.c ...
ralloc.c
src\util\macros.h(181) : error C2143: syntax error : missing '{' before 'enum [tag]'
src\util\macros.h(181) : error C2059: syntax error : '<Unknown>'
src\util\macros.h(187) : error C2065: 'FP_NAN' : undeclared identifier
src\util\macros.h(190) : error C2065: 'FP_INFINITE' : undeclared identifier
src\util\macros.h(193) : error C2065: 'FP_NORMAL' : undeclared identifier
src\util\macros.h(196) : error C2065: 'FP_SUBNORMAL' : undeclared identifier
src\util\macros.h(199) : error C2065: 'FP_ZERO' : undeclared identifier
src\util\macros.h(204) : error C2065: 'FP_NAN' : undeclared identifier
Comment 1 Jason Ekstrand 2015-01-28 20:50:07 UTC
I just sent 3 patches to the list to fix this.  Could you please try them.  They're also on my wip/fix-ldexp branch.
Comment 2 Ian Romanick 2015-02-11 22:36:27 UTC
ping?

I think Jason's patches landed, right?  Can we close this?
Comment 3 Jason Ekstrand 2015-02-11 22:37:57 UTC
Yeah, this should be fixed no.  Closing.


bug/show.html.tmpl processed on Jan 24, 2017 at 06:59:27.
(provided by the Example extension).